PGP Desktop 10.2.1 will not launch with Mac OSX 10.5.8

book

Article ID: 156598

calendar_today

Updated On:

Products

Symantec Products

Issue/Introduction

PGP Desktop 10.2.1 will not launch with Mac OSX 10.5.8. PGP Desktop 10.2.1 will install on Mac OSX 10.5.8 sucessfully, but when trying to launch PGP Desktop, an error will occur (see below).

 "The application PGP quit unexpectedly"

When looking into the crash report, the following information is logged:Dyld Error Message:


  Library not loaded: /usr/lib/libxml2.2.dylib
  Referenced from: /Library/Application Support/PGP/PGP Engine.app/Contents/MacOS/PGP Engine
  Reason: Incompatible library version: PGP Engine requires version 10.0.0 or later, but libxml2.2.dylib provides version 9.0.0

Resolution

The Release Notes for PGP Desktop 10.2.1, incorrectly state PGP Desktop 10.2.1 is supported on Mac OS 10.5--PGP Desktop 10.2.1 is not supported on Mac OSX 10.5. 

PGP Desktop 10.2 MP5 is recommended for Mac OS 10.5.

If running PGP Desktop 10.2.1 is preferred, please upgrade the operating system to Mac OSX 10.6 or above as this issue is not observed with PGP Desktop 10.2.1 on Mac OSX 10.6 and 10.7.

Please note, it is necessary to completely decrypt the drive and uninstall the current version of PGP in order to perform an in-place upgrade of the Mac OS X operating system.  Once the new operating system has been loaded, then install PGP Desktop, and re-encrypt the drive.